import React from "react";
var FuzzyInputCtx = React.createContext(null);
export var FuzzyInputProvider = function (_a) {
    var inputVal = _a.inputVal, handleInput = _a.handleInput, children = _a.children;
    if (!FuzzyInputCtx)
        throw new ReferenceError("FuzzyIinput context validated false. There must be an error inside the useFuzzyInput custom hook");
    return (React.createElement(FuzzyInputCtx.Provider, { value: { inputVal: inputVal, handleInput: handleInput } }, children));
};
export var useFuzzyInput = function () {
    if (!FuzzyInputCtx)
        throw new ReferenceError("FuzzyInputCtx is still null. Make sure to call the correct FuzzyInputProvider somewhere in the parent components.");
    return React.useContext(FuzzyInputCtx);
};
