import React from "react";
interface FuzzyResultCtxType {
    fuzzyResult: null | {
        [property: string]: any;
    };
    onSelect?: (sel: any) => void;
}
/**
 * Component to provide the result context in the children components.
 * Can then be accessed via useFuzzyResult.
 */
export declare const FuzzyResultProvider: React.FC<FuzzyResultCtxType>;
/**
 * Uses the FuzzyResult context and exposes therefore exposes the fuzzyResult variable.
 * Do not forget to previously import the FuzzyResultProvider and to assign it as parent
 * component somewhere. (otherwise useFuzzyResult cannot work)
 */
export declare const useFuzzyResult: () => FuzzyResultCtxType;
export {};
