import React from "react";
import { useFuse } from "./hooks/useFuse";
import { FuzzyInputProvider } from "./hooks/useFuzzyInput";
import { FuzzyResultProvider } from "./hooks/useFuzzyResult";
import FuzzyGui from "./FuzzyGui";
// fuse specific default option
var optionsDefault = {
    //includeMatches: true,
    ignoreLocation: true,
    ignoreFieldNorm: true,
    includeScore: true,
    keys: ["label", "desc"],
};
//default options for mark.js
var markOptionsDefault = {
    accuracy: "complementary",
    exclude: ["h5"],
};
var ZIMFuzzySearch = function (_a) {
    var data = _a.data, onSelect = _a.onSelect, _b = _a.fuseOptions, fuseOptions = _b === void 0 ? optionsDefault : _b, _c = _a.markOptions, markOptions = _c === void 0 ? markOptionsDefault : _c, children = _a.children;
    var _d = useFuse(data, fuseOptions), fuseResult = _d.fuseResult, doFuseSearch = _d.doFuseSearch, groupBy = _d.groupBy;
    var _e = React.useState(""), inputVal = _e[0], setInputVal = _e[1];
    var handleInput = function (evt) {
        setInputVal(evt.currentTarget.value);
        doFuseSearch(evt.currentTarget.value, function (result) {
            var result01 = groupBy(result.map(function (val) {
                // reducing fuse result to
                return val.item;
            }), "tag");
            return result01;
        });
    };
    return (React.createElement(FuzzyInputProvider, { handleInput: handleInput, inputVal: inputVal },
        React.createElement(FuzzyResultProvider, { fuzzyResult: fuseResult && Object.keys(fuseResult).length !== 0 ? fuseResult : null, onSelect: onSelect }, children ? children : React.createElement(FuzzyGui, { markOptions: markOptions }))));
};
export default ZIMFuzzySearch;
